public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Manuel Rüger" <mrueg@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: lxqt-base/lxqt-openssh-askpass/
Date: Mon, 26 Sep 2016 23:21:19 +0000 (UTC)	[thread overview]
Message-ID: <1474931962.462344d8069e716386bbecf1c4d5278ab8c589c1.mrueg@gentoo> (raw)

commit:     462344d8069e716386bbecf1c4d5278ab8c589c1
Author:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
AuthorDate: Mon Sep 26 23:19:22 2016 +0000
Commit:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
CommitDate: Mon Sep 26 23:19:22 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=462344d8

lxqt-base/lxqt-openssh-askpass: Version bump to 0.11.0

Package-Manager: portage-2.3.1

 lxqt-base/lxqt-openssh-askpass/Manifest            |  1 +
 .../lxqt-openssh-askpass-0.11.0.ebuild             | 49 ++++++++++++++++++++++
 2 files changed, 50 insertions(+)

diff --git a/lxqt-base/lxqt-openssh-askpass/Manifest b/lxqt-base/lxqt-openssh-askpass/Manifest
index 7c6a86e..d9326e6 100644
--- a/lxqt-base/lxqt-openssh-askpass/Manifest
+++ b/lxqt-base/lxqt-openssh-askpass/Manifest
@@ -1 +1,2 @@
 DIST lxqt-openssh-askpass-0.10.0.tar.xz 12600 SHA256 fc4138fa071cf6e7a39cb0c069d8dbc31e409f5eaed87b65f7b5fe6241032283 SHA512 353f039f1881af5b78714688881e889bc49ae59bf059edebf023ae58dd936e0a1ace7fe0a52928bb64a01214306f3aab0a7acab4dedb686aa0bdb0384bf17c13 WHIRLPOOL c481e9e290daffa0818218718f29abc174b7ee1a6a11b95358dde78c0286f5462e3b27c88eae38951a724546f7f79349802078d561588af9d1d26308d2af3440
+DIST lxqt-openssh-askpass-0.11.0.tar.xz 14028 SHA256 7eac52ceca73e0ccb16a517d78a80870fbb1c2d9edc33c6ad719ae35820f57ec SHA512 746c70677af0d93544de805ec53c8cba3eea81a32d0592cf3a14a350095b26097880d0da70db46161e03957b31b8b1e308e657fd2b04b8646b131e44d984d6d4 WHIRLPOOL 5cbc8d1ed148c8b933ebaf95e8c3997b06e9375bdf45805f16fe6c5ba0ec954b41758f638aeb3a482930abb2bf1745f9cc09a01104f6bb769aa316561d424994

diff --git a/lxqt-base/lxqt-openssh-askpass/lxqt-openssh-askpass-0.11.0.ebuild b/lxqt-base/lxqt-openssh-askpass/lxqt-openssh-askpass-0.11.0.ebuild
new file mode 100644
index 00000000..0ac0490
--- /dev/null
+++ b/lxqt-base/lxqt-openssh-askpass/lxqt-openssh-askpass-0.11.0.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+inherit cmake-utils
+
+DESCRIPTION="LXQt OpenSSH user password prompt tool"
+HOMEPAGE="http://lxqt.org/"
+
+if [[ ${PV} = *9999* ]]; then
+	inherit git-r3
+	EGIT_REPO_URI="git://git.lxde.org/git/lxde/${PN}.git"
+else
+	SRC_URI="https://downloads.lxqt.org/lxqt/${PV}/${P}.tar.xz"
+	KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+fi
+
+LICENSE="LGPL-2.1+"
+SLOT="0"
+
+RDEPEND="
+	>=dev-libs/libqtxdg-1.0.0
+	dev-qt/qtcore:5
+	dev-qt/qtdbus:5
+	dev-qt/qtgui:5
+	dev-qt/qtwidgets:5
+	dev-qt/qtx11extras:5
+	dev-qt/qtxml:5
+	~lxqt-base/liblxqt-${PV}
+	x11-libs/libX11
+"
+DEPEND="${RDEPEND}
+	dev-qt/linguist-tools:5
+"
+
+src_configure() {
+	local mycmakeargs=( -DPULL_TRANSLATIONS=OFF )
+	cmake-utils_src_configure
+}
+
+src_install(){
+	cmake-utils_src_install
+	doman man/*.1
+
+	echo "SSH_ASKPASS='${EPREFIX}/usr/bin/lxqt-openssh-askpass'" >> "${T}/99${PN}" \
+		|| die
+	doenvd "${T}/99${PN}"
+}


             reply	other threads:[~2016-09-26 23:21 UTC|newest]

Thread overview: 50+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2016-09-26 23:21 Manuel Rüger [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-10-04 15:37 [gentoo-commits] repo/gentoo:master commit in: lxqt-base/lxqt-openssh-askpass/ Arthur Zamarin
2024-09-12 17:23 Arthur Zamarin
2024-09-01 21:30 Sam James
2024-07-13 10:09 Yixun Lan
2024-07-11 19:44 Arthur Zamarin
2024-06-28 20:33 Jimi Huotari
2024-06-14 21:57 Jimi Huotari
2023-12-27 21:03 Sam James
2023-12-20  1:40 Sam James
2023-11-09 21:45 Jimi Huotari
2023-06-18 14:53 Andreas Sturmlechner
2023-05-29 21:57 Sam James
2023-05-29 11:05 Arthur Zamarin
2023-05-29  0:10 Sam James
2023-04-17 22:08 Jimi Huotari
2023-03-26 15:50 Jimi Huotari
2022-12-17 19:28 Arthur Zamarin
2022-12-16 21:49 Sam James
2022-12-16 20:33 Arthur Zamarin
2022-11-19  4:50 WANG Xuerui
2022-11-16  8:55 WANG Xuerui
2022-11-10 12:57 Jimi Huotari
2022-07-26  7:05 Sam James
2022-07-22 17:54 Sam James
2022-07-20  5:36 Sam James
2022-05-15  0:13 Sam James
2022-04-15 13:14 Arthur Zamarin
2022-04-15  6:17 Sam James
2022-01-21 19:07 Sam James
2021-07-10  0:48 Sam James
2021-04-18  5:09 Joonas Niilola
2021-01-23 22:55 Sam James
2021-01-21  9:03 Agostino Sarubbo
2020-11-23  7:12 Andreas Sturmlechner
2020-07-31 16:35 Mikle Kolyada
2020-07-31 16:33 Mikle Kolyada
2020-05-20 23:28 Andreas Sturmlechner
2019-09-08 16:18 Andreas Sturmlechner
2019-05-23 12:30 Mikle Kolyada
2019-05-22  7:30 Mikle Kolyada
2018-10-17 12:30 Thomas Deutschmann
2018-10-16 13:07 Mikle Kolyada
2018-08-11 10:10 Jonathan Scruggs
2018-05-11 21:56 Patrice Clement
2018-04-15 12:43 David Seifert
2017-12-11  0:45 Anthony G. Basile
2016-08-07  8:28 Pacho Ramos
2015-11-28 17:36 Patrice Clement
2015-10-01 14:21 Michael Palimaka

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1474931962.462344d8069e716386bbecf1c4d5278ab8c589c1.mrueg@gentoo \
    --to=mrueg@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox